Random Number Generation
Numerics
Collaboration diagram for Random Number Generation:

## Topics

| Random Number Distributions
| Random Number Generators
| Random Number Utilities

## Functions

template<typename _RealType, size_t __bits, typename _UniformRandomNumberGenerator>
_RealType | std::generate_canonical (_UniformRandomNumberGenerator &__g)

## Detailed Description

A facility for generating random numbers on selected distributions.

## Function Documentation

## generate_canonical()

template<typename _RealType, size_t __bits, typename _UniformRandomNumberGenerator>

_RealType std::generate_canonical | ( | _UniformRandomNumberGenerator & | __g | ) |

A function template for converting the output of a (integral) uniform random number generator to a floatng point result in the range [0-1).

Definition at line 3348 of file bits/random.tcc.

References std::__numeric_limits_base::digits, std::numeric_limits< _Tp >::epsilon(), generate_canonical(), log(), max(), and min().

Referenced by generate_canonical().